Skip to main content
POST
/
legal
/
v1
/
verify
curl -X POST "https://api.case.dev/legal/v1/verify" \ -H "Authorization: Bearer $CASEDEV_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "text": "<string>" }'
{
  "summary": {
    "total": 123,
    "verified": 123,
    "notFound": 123,
    "multipleMatches": 123
  },
  "citations": [
    {
      "original": "<string>",
      "span": {
        "start": 123,
        "end": 123
      },
      "confidence": 123,
      "normalized": "<string>",
      "case": {
        "id": 123,
        "name": "<string>",
        "shortName": "<string>",
        "court": "<string>",
        "dateDecided": "<string>",
        "docketNumber": "<string>",
        "parallelCitations": [
          "<string>"
        ],
        "url": "<string>"
      },
      "candidates": [
        {
          "name": "<string>",
          "court": "<string>",
          "dateDecided": "<string>",
          "url": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Body

application/json

Text containing legal citations to verify

text
string
required

Text containing citations to verify. Can be a single citation (e.g., "531 U.S. 98") or a full document with multiple citations.

Maximum string length: 64000

Response

Citations verified successfully

summary
object
citations
object[]